#!/bin/sh
#
# Common functions to identify the current system characteristics.
#
# $Id: common.sh,v 1.5 2001/11/27 04:47:22 stephane Exp $
#

GetArchitecture()
{
	case `uname -m` in
		i?86)
			echo "x86";;
		*)
			echo "`uname -m`";;
	esac
	return 0
}

IsPackageInstalled()
{
	case $SETUP_DISTRO in
	redhat|mandrake|suse|linuxppc|caldera)
		rpm -q $1 > /dev/null 2>&1
		return $?
		;;
	debian)
		dpkg -p $1 > /dev/null 2>&1
		;;
	slackware)
		;;
	esac
	return 1
}

GetVersion()
{
	case $SETUP_DISTRO in
	redhat|mandrake|suse|linuxppc|caldera)
		rpm -qi $1 | grep Version | awk '{print $3}'| sed s/\\.//g
		;;
	esac
}