#!/bin/sh

#
# Detect if Ghostscript is installed
# 

. scripts/common.sh

if IsPackageInstalled ghostscript; then
	detected=0
elif IsPackageInstalled gs_x11; then # SuSE style
	detected=0
elif which gs >/dev/null 2>&1 ; then
	if gs -v | grep Ghostscript >/dev/null ; then
		detected=0
	else
		detected=1
	fi
else
	detected=1
fi

exit $detected
