#!/bin/sh
#
# Test the Libc version and make sure it is > 2.0
#

if [ `uname -s` != Linux ]; then
	exit 0
fi

if [ -f `echo /lib/libc.so.6* | tail -1` ]; then
	if fgrep GLIBC_2.1 /lib/libc.so.6* 2>&1 >/dev/null; then
		exit 0
	fi
fi

exit 1
