#!/bin/sh

#
# Test if no printing system is present.
#

. scripts/common.sh

if sh scripts/test-cups.sh; then
	# Check if we need to upgrade, for Mandrake
	if test x$SETUP_DISTRO = xmandrake; then
		VER=`GetVersion cups`
		if test $VER -lt 1113; then # Version less than 1.1.13
			exit 0 # Force upgrade
		fi
	fi
	exit 1
fi

if sh scripts/test-lpd.sh; then
	exit 1;
fi

exit 0
